<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Wedding Invitation</title>
        <link
            rel="stylesheet"
            href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css"
        />
        <!-- Open Graph Meta Tags -->
        <meta property="og:title" content="Wedding Invitation" />
        <meta
            property="og:description"
            content="The Wedding of Melia Diana & Ardian."
        />
        <meta
            property="og:image"
            content="https://moments-meliadiana-ardian.netlify.app/assets/images/head.png"
        />
        <meta
            property="og:url"
            content="https://moments-meliadiana-ardian.netlify.app"
        />
        <meta property="og:type" content="website" />

        <!-- Twitter Card Meta Tags -->
        <meta name="twitter:card" content="summary_large_image" />
        <meta name="twitter:title" content="Wedding Invitation" />
        <meta
            name="twitter:description"
            content="The Wedding of Melia Diana & Ardian. Join us for a beautiful celebration."
        />
        <meta
            name="twitter:image"
            content="https://moments-meliadiana-ardian.netlify.app/assets/images/head.png"
        />
        <meta
            name="twitter:url"
            content="https://moments-meliadiana-ardian.netlify.app"
        />
        <style>
            @import url("https://fonts.cdnfonts.com/css/photograph-signature");
            @font-face {
                font-family: "Photograph Signature", sans-serif;
                src: url("path/to/photograph-signature.woff2") format("woff2"),
                    url("path/to/photograph-signature.woff") format("woff");
                font-weight: normal;
                font-style: normal;
            }

            :root {
                --animate-duration: 1s;
                --animate-delay: 1s;
                --animate-repeat: 1;
                --inv-bg: #e0ecef;
                --inv-base: #3b4830;
                --inv-accent: #ba8116;
                --inv-border: #ffffff;
                --font-base: "Noto Sans", sans-serif;
                --font-accent: "Merriweather Sans", sans-serif;
                --font-latin: "Parisienne", cursive;
                --menu-bg: #c1c8b5;
                --menu-inactive: #3b4830;
                --menu-active: #8e9b8e;
                --btn-color: #ffffff;
            }

            body {
                font-family: var(--font-base);
                background-color: #c0c4b9;
                margin: 0;
                padding: 0;
                overflow: hidden; /* Prevent scrolling */
            }

            .container {
                /* max-width: 500px; */
                height: 100vh;
                max-height: 100vh;
                min-height: 100vh;
                margin: 0 auto;
                background-image: url("./assets/images/bg.png");
                background-size: cover; /* Ensures the image covers the container */
                background-position: center; /* Centers the image */
                box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
                overflow: hidden; /* Prevent inner scrolling */
                position: relative; /* Ensure the container is the reference for absolute positioning */
                display: flex;
                flex-direction: column;
                background-color: transparent; /* Ensures no background color covers the image */
            }

            .container-nav {
                position: fixed;
                bottom: 0;
                left: 50%;
                transform: translateX(-50%);
                width: 40%;
                max-width: 40%; /* Lebar maksimum div.nav.fixed-bottom */
                background-color: var(--menu-bg);
                box-shadow: 0 -2px 4px rgba(0, 0, 0, 0.1);
                z-index: 1000;
                border-radius: 20px; /* Penyesuaian border-radius */
            }

            .nav.fixed-bottom {
                position: fixed;
                bottom: 0;
                left: 50%;
                transform: translateX(-50%);
                width: 40%;
                max-width: 40%; /* Lebar maksimum div.nav.fixed-bottom */
                padding: 10px 0;
                background-color: var(--menu-bg);
                border-top: 1px solid #ccc;
                z-index: 900;
                border-radius: 20px; /* Penyesuaian border-radius */
            }

            /* Gaya tambahan sesuai kebutuhan */
            .nav .satumoment_menu_item {
                background: none;
                border: none;
                cursor: pointer;
                padding: 10px;
                transition: background-color 0.3s;
            }

            .nav .satumoment_menu_item.active {
                background-color: var(--menu-bg);
            }

            .nav .satumoment_menu_item svg {
                vertical-align: middle;
            }
            /* Media query for small screens */
            @media (max-width: 1680) {
                .container {
                    /* max-width: 1680px;  */
                    padding: 0; /* Remove padding */
                    max-height: 100vh;
                    min-height: 100vh;
                }

                .section {
                    text-align: center;
                    position: relative;
                    flex: 1; /* Ensure sections expand to full height */
                    display: flex;
                    flex-direction: column;
                    justify-content: center;
                    padding: 1.5rem;
                }

                .section h1 {
                    font-size: 20px;
                }

                .section h2 {
                    font-size: 18px;
                }

                .nav button {
                    font-size: 14px;
                }
            }

            @media (min-width: 1440px) {
                .font-title {
                    font-size: 16px;
                }
                .font-default {
                    font-size: 13px;
                }
                .font-title-medium {
                    font-size: 30px;
                }

                .frame {
                    position: absolute;
                    top: 0;
                    left: 0;
                    right: 0;
                    bottom: 0;
                    pointer-events: none;
                }

                .frame img {
                    position: absolute;
                    width: 20%;
                }

                .frame-tm {
                    display: block;
                    width: auto; /* Adjust if needed */
                    position: absolute;
                    left: 40%;
                    right: 60%;
                    transform: translate(-50%, -50%);
                }

                .frame-tl {
                    top: 0;
                    left: 0;
                }

                .frame-tr {
                    top: 0;
                    right: 0;
                }

                .frame-bl {
                    bottom: 0;
                    left: 0;
                }

                .frame-br {
                    bottom: 0;
                    right: 0;
                }
            }


            @media (min-width: 1680px) {
                .font-title {
                    font-size: 18px;
                }
                .font-default {
                    font-size: 14px;
                }
                .font-title-medium {
                    font-size: 30px;
                }

                .frame {
                    position: absolute;
                    top: 0;
                    left: 0;
                    right: 0;
                    bottom: 0;
                    pointer-events: none;
                }

                .frame img {
                    position: absolute;
                    width: 20%;
                }

                .frame-tm {
                    display: block;
                    width: auto; /* Adjust if needed */
                    position: absolute;
                    left: 40%;
                    right: 60%;
                    transform: translate(-50%, -50%);
                }

                .frame-tl {
                    top: 0;
                    left: 0;
                }

                .frame-tr {
                    top: 0;
                    right: 0;
                }

                .frame-bl {
                    bottom: 0;
                    left: 0;
                }

                .frame-br {
                    bottom: 0;
                    right: 0;
                }
            }

            @media (max-width: 720px) {
                .font-title {
                    font-size: 11.4px;
                }

                .font-default {
                    font-size: 11.4px;
                }

                .container {
                    max-width: 720px; /* Make the container full width on small screens */
                    padding: 0; /* Remove padding */
                    max-height: 94vh;
                    min-height: 94vh; /* Adjust for devices with smaller screen height */
                }

                .frame-tm {
                    display: block;
                    width: auto; /* Adjust if needed */
                    position: absolute;
                    left: 0%;
                    right: 60%;
                    transform: translate(-50%, -50%);
                }


                .container-nav {
                    position: fixed;
                    bottom: 0;
                    left: 50%;
                    transform: translateX(-50%);
                    width: 80%;
                    max-width: 80%; /* Lebar maksimum div.nav.fixed-bottom */
                    background-color: var(--menu-bg);
                    box-shadow: 0 -2px 4px rgba(0, 0, 0, 0.1);
                    z-index: 1000;
                    border-radius: 20px; /* Penyesuaian border-radius */
                }

                .nav.fixed-bottom {
                    position: fixed;
                    bottom: 0;
                    left: 50%;
                    transform: translateX(-50%);
                    width: 80%;
                    max-width: 80%; /* Lebar maksimum div.nav.fixed-bottom */
                    padding: 10px 0;
                    background-color: var(--menu-bg);
                    border-top: 1px solid #ccc;
                    z-index: 900;
                    border-radius: 20px; /* Penyesuaian border-radius */
                }

                /* Gaya tambahan sesuai kebutuhan */
                .nav .satumoment_menu_item {
                    background: none;
                    border: none;
                    cursor: pointer;
                    padding: 10px;
                    transition: background-color 0.3s;
                }

                .nav .satumoment_menu_item.active {
                    background-color: var(--menu-bg);
                }

                .nav .satumoment_menu_item svg {
                    vertical-align: middle;
                }

                .section {
                    text-align: center;
                    position: relative;
                    flex: 1; /* Ensure sections expand to full height */
                    display: flex;
                    flex-direction: column;
                    justify-content: center;
                    padding: 2rem;
                }

                .section h1 {
                    font-size: 18px;
                }

                .section h2 {
                    font-size: 16px;
                }

                .section-doa {
                    padding-top: 4rem;
                    padding-left: 2rem;
                    padding-right: 2rem;
                }

                .nav button {
                    font-size: 12px;
                }
            }

            .frame {
                position: absolute;
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                pointer-events: none;
            }

            .frame img {
                position: absolute;
            }

            .frame-tm {
                width: 100%;
            }

            .frame-tl {
                top: 0;
                left: 0;
            }

            .frame-tr {
                top: 0;
                right: 0;
            }

            .frame-bl {
                bottom: 0;
                left: 0;
            }

            .frame-br {
                bottom: 0;
                right: 0;
            }

            .font-base {
                color: var(--inv-base);
            }

            .section {
                text-align: center;
                position: relative;
                flex: 1; /* Ensure sections expand to full height */
                display: flex;
                flex-direction: column;
                justify-content: center;
            }

            .section img {
                max-width: 100%;
            }

            .section p {
                margin: 10px 0;
            }

            .section h1 {
                margin: 10px 0;
                font-size: 24px;
                color: #2f855a;
            }

            .section h2 {
                margin: 10px 0;
                font-size: 20px;
                color: #2f855a;
            }

            .nav {
                display: flex;
                justify-content: center;
                align-items: center;
                background-color: var(--menu-bg);
                width: 30%;
                padding: 10px 0;
                box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
            }

            .satumoment_menu_item {
                display: flex;
                flex-direction: column;
                align-items: center;
                background: none;
                border: none;
                font: inherit;
                color: inherit;
                cursor: pointer;
            }

            .satumoment_menu_item.active {
                color: #007bff; /* Active button color */
            }

            .satumoment_menu_item.active {
                color: var(--btn-color);
            }

            .satumoment_menu_item {
                align-items: center;
                color: var(--menu-inactive);
                display: flex;
                flex: none;
                flex-direction: column;
                height: 100%;
                justify-content: center;
                position: relative;
                text-align: center;
                transition: all 0.1s ease-in-out;
                width: 100%;
            }

            .nav button {
                flex: 1;
                padding: 10px;
                background: none;
                border: none;
                font-size: 16px;
                cursor: pointer;
            }

            .nav button:hover {
                background-color: var(--menu-active);
                color: var(--btn-color);
            }

            .nav button:active {
                background-color: var(--menu-active);
                color: var(--btn-color);
            }

            .hidden {
                display: none;
            }

            .leaf-decor {
                position: absolute;
                width: 40%;
            }

            .leaf-decor.left {
                left: 10px;
            }

            .leaf-decor.right {
                right: 10px;
            }

            .leaf-decor.top {
                top: 10px;
            }

            .leaf-decor.bottom {
                bottom: 10px;
            }

            .font-italic {
                font-style: italic;
            }

            .font-doa {
                color: var(--inv-base);
            }

            .animate__animated.animate__slower {
                -webkit-animation-duration: 3s;
                animation-duration: 3s;
                -webkit-animation-duration: calc(var(--animate-duration) * 3);
                animation-duration: calc(var(--animate-duration) * 3);
            }

            .animate__fadeInTopLeft {
                -webkit-animation-name: fadeInTopLeft;
                animation-name: fadeInTopLeft;
            }

            .animate__animated {
                -webkit-animation-duration: 1s;
                animation-duration: 1s;
                -webkit-animation-duration: var(--animate-duration);
                animation-duration: var(--animate-duration);
                -webkit-animation-fill-mode: both;
                animation-fill-mode: both;
            }

            .animate__fadeInTopRight {
                -webkit-animation-name: fadeInTopRight;
                animation-name: fadeInTopRight;
            }

            .animate__fadeInBottomLeft {
                -webkit-animation-name: fadeInBottomLeft;
                animation-name: fadeInBottomLeft;
            }

            .animate__fadeInBottomRight {
                -webkit-animation-name: fadeInBottomRight;
                animation-name: fadeInBottomRight;
            }

            .color-accent {
                color: var(--inv-accent);
            }

            .font-photograph-signature {
                font-family: "Photograph Signature", sans-serif;
                line-height: 1.6 !important;
            }

            .font-weight-bold {
                font-weight: 700 !important;
            }

            .satuMomen {
                color: var(--inv-base);
                font-family: var(--font-base);
            }

            .mb-3,
            .my-3 {
                margin-bottom: 1rem !important;
            }

            .btn:not(:disabled):not(.disabled) {
                cursor: pointer;
            }

            .btn {
                display: inline-block;
                font-weight: 400;
                text-align: center;
                white-space: nowrap;
                vertical-align: middle;
                -webkit-user-select: none;
                -moz-user-select: none;
                -ms-user-select: none;
                user-select: none;
                border: 1px solid transparent;
                padding: 0.375rem 0.75rem;
                font-size: 1rem;
                line-height: 1.5;
                border-radius: 0.25rem;
                transition: color 0.15s ease-in-out,
                    background-color 0.15s ease-in-out,
                    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
            }

            .btn-primary {
                background-color: var(--inv-accent);
                border-color: var(--inv-accent);
                border-radius: 0.6rem;
                color: var(--btn-color);
            }

            .rounded-pill {
                border-radius: 50rem;
            }

            .animate__animated.animate__delay-5s {
                -webkit-animation-delay: 5s;
                animation-delay: 5s;
                -webkit-animation-delay: calc(var(--animate-delay) * 5);
                animation-delay: calc(var(--animate-delay) * 5);
            }

            .animate__fadeInLeft {
                -webkit-animation-name: fadeInLeft;
                animation-name: fadeInLeft;
            }

            .justify-content-center {
                -webkit-box-pack: center !important;
                -ms-flex-pack: center !important;
                justify-content: center !important;
            }

            .mb-4,
            .my-4 {
                margin-bottom: 1.5rem !important;
            }

            .animate__zoomIn {
                -webkit-animation-name: zoomIn;
                animation-name: zoomIn;
            }

            .mb-0,
            .my-0 {
                margin-bottom: 0 !important;
            }

            .h3,
            h3 {
                font-size: 1.75rem;
            }

            .text-center {
                text-align: center !important;
            }

            .animate__fadeInUp {
                -webkit-animation-name: fadeInUp;
                animation-name: fadeInUp;
            }

            .font-italic {
                font-style: italic !important;
            }

            .mb-3,
            .my-3 {
                margin-bottom: 1rem !important;
            }

            .h-100 {
                height: 100% !important;
            }

            .w-100 {
                width: 100% !important;
            }

            .align-items-center {
                -webkit-box-align: center !important;
                -ms-flex-align: center !important;
                align-items: center !important;
            }

            .justify-content-center {
                -webkit-box-pack: center !important;
                -ms-flex-pack: center !important;
                justify-content: center !important;
            }

            .flex-column {
                -webkit-box-orient: vertical !important;
                -webkit-box-direction: normal !important;
                -ms-flex-direction: column !important;
                flex-direction: column !important;
            }

            .position-relative {
                position: relative !important;
                display: flex;
            }

            .mb-2,
            .my-2 {
                margin-bottom: 0.5rem !important;
            }

            .align-items-center {
                -webkit-box-align: center !important;
                -ms-flex-align: center !important;
                align-items: center !important;
            }

            .justify-content-center {
                -webkit-box-pack: center !important;
                -ms-flex-pack: center !important;
                justify-content: center !important;
            }

            .flex-row {
                -webkit-box-orient: horizontal !important;
                -webkit-box-direction: normal !important;
                -ms-flex-direction: row !important;
                flex-direction: row !important;
            }

            .d-flex-mempelai {
                display: -webkit-box !important;
                display: -ms-flexbox !important;
                display: flex !important;
            }

            .animate__zoomIn {
                -webkit-animation-name: zoomIn;
                animation-name: zoomIn;
            }

            .pl-3,
            .px-3 {
                padding-left: 1rem !important;
            }

            .pr-3,
            .px-3 {
                padding-right: 1rem !important;
            }

            .p-3 {
                padding: 1rem !important;
            }

            .bg-maps {
                background-color: rgba(174, 181, 162, 0.46);
                border-radius: 1rem;
            }

            .animate__animated.animate__slow {
                -webkit-animation-duration: 2s;
                animation-duration: 2s;
                -webkit-animation-duration: calc(var(--animate-duration) * 2);
                animation-duration: calc(var(--animate-duration) * 2);
            }

            .animate__fadeInUp {
                -webkit-animation-name: fadeInUp;
                animation-name: fadeInUp;
            }

            .btn-float {
                align-items: center;
                background-color: var(--inv-accent);
                border-color: var(--inv-accent);
                border-radius: 10rem;
                color: var(--btn-color);
                display: flex;
                height: 40px;
                justify-content: center;
                opacity: 0.7;
                padding: 0;
                width: 40px;
            }
        </style>
    </head>

    <body>
        <div class="container">
            <div id="section-opening" class="section">
                <div class="frame">
                    <img
                        src="./assets/images/tm.webp"
                        class="frame-tm animate__animated animate__fadeInDown animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/tl.webp"
                        class="leaf-decor frame-tl animate__animated animate__fadeInTopLeft animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/tr.webp"
                        class="leaf-decor frame-tr animate__animated animate__fadeInTopRight animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/bl.webp"
                        class="leaf-decor frame-bl animate__animated animate__fadeInBottomLeft animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/br.webp"
                        class="leaf-decor frame-br animate__animated animate__fadeInBottomRight animate__slower"
                        alt="Leaf Decor"
                    />
                </div>
                <div>
                    <div class="text-center">
                        <div
                            style="
                                border-radius: 0.5rem;
                                padding: 10px;
                                max-width: 290px;
                                margin: auto;
                            "
                        >
                            <div
                                class="editable color-accent h5 animate__animated animate__fadeInUp animate__slower animate__delay-5s font-italic
                                style="font-size: 18px"
                            >
                                The Wedding Of
                            </div>
                        </div>
                        <div
                            class="editable px-2 color-accent animate__animated animate__fadeInLeft animate__slower animate__delay-5s font-photograph-signature"
                            style="font-size: 90px"
                        >
                            Diana
                        </div>
                        <div class="justify-content-center">
                            <div
                                class="editable color-accent font-photograph-signature animate__animated animate__fadeIn animate__slower animate__delay-5s"
                                style="
                                    font-size: 90px;
                                    margin-top: -60px;
                                    line-height: 1 !important;
                                "
                            >
                                &amp;
                            </div>
                            <div
                                class="editable color-accent animate__animated animate__fadeInRight animate__slower animate__delay-5s font-photograph-signature"
                                style="font-size: 90px; margin-top: -20px"
                            >
                                Ardian
                            </div>
                        </div>
                    </div>

                    <div class="mb-4">
                        <div
                            class="satuMomen editable animate__animated animate__fadeInDown animate__slower font-weight-bold animate__delay-5s"
                            style="
                                font-size: 30px;
                                margin-bottom: 6px;
                                font-family: 'Noto Sans', sans-serif;
                            "
                        >
                            Selasa
                        </div>
                        <div
                            class="position-absolute d-flex justify-content-center align-items-center"
                            style="
                                width: 100%;
                                height: 100%;
                                margin-bottom: 20px;
                            "
                        >
                            <div
                                class="animate__animated animate__fadeInDown animate__slower animate__delay-5s"
                                style="
                                    line-height: 1.5;
                                    display: flex;
                                    justify-content: center;
                                    align-items: center;
                                "
                            >
                                <div
                                    class="editable font-accent"
                                    style="font-size: 20px"
                                >
                                    02
                                </div>
                                <div
                                    class="editable font-accent"
                                    style="
                                        font-size: 20px;
                                        margin: 0px 0.5rem;
                                        padding: 0px 0.5rem;
                                        border-left: 2px solid var(--inv-base);
                                        border-right: 2px solid var(--inv-base);
                                    "
                                >
                                    07
                                </div>
                                <div
                                    class="editable font-accent"
                                    style="font-size: 20px"
                                >
                                    24
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="text-center w-100">
                        <div
                            class="mb-4"
                            style="
                                border-radius: 0.5rem;
                                padding: 10px;
                                max-width: 290px;
                                margin: auto;
                            "
                        >
                            <div
                                class="satuMomen editable mb-2 animate__animated animate__fadeInUp animate__slower animate__delay-5s"
                                style="font-size: 13.4px"
                            >
                                Bapak/Ibu/Saudara/i
                            </div>
                            <div
                                id="guestNameSlot"
                                class="editable color-accent h5 font-weight-bold animate__animated animate__fadeInUp animate__slower animate__delay-5s"
                                style="font-size: 18px"
                            >
                                Nama Tamu
                            </div>
                        </div>

                        <button
                            type="button"
                            class="btn-open-invitation btn btn-primary rounded-pill animate__animated animate__fadeInUp animate__slow animate__delay-5s"
                            style="font-size: 13.4px"
                            id="btn-open-invitation"
                        >
                            Buka Undangan
                        </button>
                        <!-- Floating sound button -->
                        <button
                            id="soundButton"
                            class="soundButton btn-float"
                            style="
                                cursor: pointer;
                                position: fixed;
                                bottom: 8rem;
                                right: 20px;
                                width: 50px;
                                height: 50px;
                                border-radius: 50%;
                                color: white;
                                border: none;
                                display: flex;
                                justify-content: center;
                                align-items: center;
                                z-index: 9999;
                            "
                        >
                            <svg
                                xmlns="http://www.w3.org/2000/svg"
                                width="28"
                                height="28"
                                fill="currentColor"
                                viewBox="0 0 256 256"
                                class="play"
                            >
                                <path
                                    d="M184,152V104a8,8,0,0,1,16,0v48a8,8,0,0,1-16,0Zm40-72a8,8,0,0,0-8,8v80a8,8,0,0,0,16,0V88A8,8,0,0,0,224,80ZM53.92,34.62A8,8,0,1,0,42.08,45.38L73.55,80H32A16,16,0,0,0,16,96v64a16,16,0,0,0,16,16H77.25l69.84,54.31A8,8,0,0,0,160,224V175.09l42.08,46.29a8,8,0,1,0,11.84-10.76Zm92.16,77.59A8,8,0,0,0,160,106.83V32a8,8,0,0,0-12.91-6.31l-39.85,31a8,8,0,0,0-1,11.7Z"
                                ></path>
                            </svg>
                        </button>
                    </div>
                </div>
            </div>
            <div id="section-doa" class="section section-doa hidden">
                <div class="frame">
                    <img
                        src="./assets/images/tm.webp"
                        class="frame-tm animate__animated animate__fadeInDown animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/tl.webp"
                        class="leaf-decor frame-tl animate__animated animate__fadeInTopLeft animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/tr.webp"
                        class="leaf-decor frame-tr animate__animated animate__fadeInTopRight animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/bl.webp"
                        class="leaf-decor frame-bl animate__animated animate__fadeInBottomLeft animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/br.webp"
                        class="leaf-decor frame-br animate__animated animate__fadeInBottomRight animate__slower"
                        alt="Leaf Decor"
                    />
                </div>
                <div class="padding:2rem;">
                    <div
                        class="satuMomen mb-2 font-title text-center animate__animated animate__fadeInDown animate__slower font-italic"
                    >
                        Bismillahirrahmanirrahim
                    </div>
                    <div
                        class="satuMomen font-title mb-2 text-center animate__animated animate__fadeInDown animate__slower font-italic"
                    >
                        Assalamu'alaikum Warahmatullahi Wabarakatuh
                    </div>
                    <div
                        class="satuMomen mb-2 font-default text-center animate__animated animate__fadeInDown animate__slower editable quotes mb-3 font-italic"
                    >
                        Dengan memohon rahmat &amp; Ridho Allah Subhanahu
                        wata'ala kami bermaksud menyelenggarakan Akad &amp;
                        Resepsi Pernikahan Putra-Putri kami:
                    </div>
                    <div>
                        <div
                            class="text-center animate__animated animate__fadeInDown animate__slower"
                            style="padding-top: 1rem"
                        >
                            <div
                                class="editable font-title-medium color-accent h4 font-photograph-signature"
                            >
                                Melia Diana, A.Md
                            </div>
                            <div class="satuMomen editable font-default">
                                Putri Bungsu dari<br />Bapak Sugianto dan<br />(alm)
                                Ibu Andawati
                            </div>
                        </div>
                        <div
                            class="flex my-4 position-relative justify-content-center align-items-center"
                            style="
                                column-gap: 10px;
                                padding-top: 2rem;
                                padding-bottom: 1rem;
                            "
                        >
                            <div
                                class="editable color-accent animate__animated animate_zoomIn animate__slower font-photograph-signature"
                                style="
                                    font-size: 80px;
                                    position: absolute;
                                    line-height: 1 !important;
                                "
                            >
                                &amp;
                            </div>
                        </div>
                        <div
                            class="text-center animate__animated animate__fadeInUp animate__slower"
                        >
                            <div
                                class="editable font-title-medium color-accent h4 mb-2 font-photograph-signature"
                            >
                                Mochamad Ardian Fuadi
                            </div>
                            <div class="satuMomen font-default">
                                Putra Tunggal dari<br />(alm) Bapak Archam
                                dan<br />Ibu Nurul Ismawati
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Floating sound button -->
                <button
                    id="soundButton1"
                    class="soundButton btn-float"
                    style="
                        cursor: pointer;
                        position: fixed;
                        bottom: 8rem;
                        right: 20px;
                        width: 50px;
                        height: 50px;
                        border-radius: 50%;
                        color: white;
                        border: none;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        z-index: 9999;
                    "
                >
                <svg xmlns="http://www.w3.org/2000/svg" width="28" height="28" fill="currentColor" viewBox="0 0 256 256"><path d="M160,32V224a8,8,0,0,1-12.91,6.31L77.25,176H32a16,16,0,0,1-16-16V96A16,16,0,0,1,32,80H77.25l69.84-54.31A8,8,0,0,1,160,32Zm32,64a8,8,0,0,0-8,8v48a8,8,0,0,0,16,0V104A8,8,0,0,0,192,96Zm32-16a8,8,0,0,0-8,8v80a8,8,0,0,0,16,0V88A8,8,0,0,0,224,80Z"></path></svg>
                </button>
            </div>
            <div id="section-details" class="section hidden">
                <div class="frame">
                    <img
                        src="./assets/images/tm.webp"
                        class="frame-tm animate__animated animate__fadeInDown animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/tl.webp"
                        class="leaf-decor frame-tl animate__animated animate__fadeInTopLeft animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/tr.webp"
                        class="leaf-decor frame-tr animate__animated animate__fadeInTopRight animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/bl.webp"
                        class="leaf-decor frame-bl animate__animated animate__fadeInBottomLeft animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/br.webp"
                        class="leaf-decor frame-br animate__animated animate__fadeInBottomRight animate__slower"
                        alt="Leaf Decor"
                    />
                </div>
                <div
                    class="satuMomen d-flex-mempelai flex-column justify-content-center align-items-center"
                >
                    <div class="text-center mb-3">
                        <div
                            class="editable color-accent h4 mb-2 animate__animated animate__fadeInDown animate__slower font-photograph-signature"
                            style="font-size: 30px"
                        >
                            Akad Nikah
                        </div>

                        <div
                            class="my-2 d-flex-mempelai flex-row justify-content-center align-items-center animate__animated animate__zoomIn animate__slower"
                        >
                            <div
                                class="editable"
                                style="font-size: 13.4px; width: 100px"
                            >
                                Selasa
                            </div>
                            <div
                                class="px-3"
                                style="
                                    border-left: 2px solid var(--inv-accent);
                                    border-right: 2px solid var(--inv-accent);
                                "
                            >
                                <div
                                    class="editable satuMomen font-weight-bold"
                                    style="font-size: 48px; line-height: 1"
                                >
                                    2
                                </div>
                                <div
                                    class="editable satuMomen font-weight-bold"
                                    style="font-size: 13.4px"
                                >
                                    2024
                                </div>
                            </div>
                            <div
                                class="editable"
                                style="font-size: 13.4px; width: 100px"
                            >
                                Juli
                            </div>
                        </div>
                        <div
                            class="editable animate__animated animate__fadeInDown animate__slower"
                            style="font-size: 13.4px"
                        >
                            Pukul 09.00 WIB
                        </div>
                    </div>
                    <div class="text-center mb-3">
                        <div
                            class="editable color-accent h4 mb-2 animate__animated animate__fadeInDown animate__slower font-photograph-signature"
                            style="font-size: 30px"
                        >
                            Resepsi
                        </div>
                        <div
                            class="my-2 d-flex-mempelai flex-row justify-content-center align-items-center animate__animated animate__zoomIn animate__slower"
                        >
                            <div
                                class="editable"
                                style="font-size: 13.4px; width: 100px"
                            >
                                Selasa
                            </div>
                            <div
                                class="px-3"
                                style="
                                    border-left: 2px solid var(--inv-accent);
                                    border-right: 2px solid var(--inv-accent);
                                "
                            >
                                <div
                                    class="editable satuMomen font-weight-bold"
                                    style="font-size: 48px; line-height: 1"
                                >
                                    2
                                </div>
                                <div
                                    class="editable satuMomen font-weight-bold"
                                    style="font-size: 13.4px"
                                >
                                    2024
                                </div>
                            </div>
                            <div
                                class="editable"
                                style="font-size: 13.4px; width: 100px"
                            >
                                Juli
                            </div>
                        </div>
                        <div
                            class="editable animate__animated animate__fadeInDown animate__slower"
                            style="font-size: 13.4px"
                        >
                            Pukul 13.00 - Selesai
                        </div>
                    </div>
                    <div class="text-center mb-4" style="padding-top: 2rem">
                        <div
                            class="editable color-accent animate__animated animate__fadeInUp animate__slower font-accent"
                            style="font-size: 18px; margin-bottom: 1rem"
                        >
                            Lokasi Acara
                        </div>
                        <div
                            class="p-3 animate__animated animate__fadeInUp"
                            style="
                                background-color: rgba(187, 129, 23, 0.39);
                                border-radius: 1rem;
                            "
                        >
                            <div
                                class="editable animate__animated animate__fadeInUp animate__slower"
                                style="font-size: 13.4px"
                            >
                                Tambakasri<br />RT 08 RW 01,<br />Kec. Tajinan
                                65172, Kab. Malang
                            </div>
                        </div>
                    </div>
                    <div>
                        <a
                            href="https://www.google.com/maps/@-8.0538578,112.6319237,3a,75y,209.4h,90t/data=!3m6!1e1!3m4!1slusDp8DvioMxqpoqbLLt8w!2e0!7i16384!8i8192?entry=ttu"
                            target="_blank"
                            draggable="false"
                            class="btn-maps-link btn btn-primary rounded-pill mb-4 animate__animated animate__fadeInUp animate__slow"
                            style="font-style: normal; text-decoration: none"
                        >
                            Maps
                        </a>
                    </div>
                </div>
                <!-- Floating sound button -->
                <button
                    id="soundButton2"
                    class="soundButton btn-float"
                    style="
                        cursor: pointer;
                        position: fixed;
                        bottom: 8rem;
                        right: 20px;
                        width: 50px;
                        height: 50px;
                        border-radius: 50%;
                        color: white;
                        border: none;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        z-index: 9999;
                    "
                >
                <svg xmlns="http://www.w3.org/2000/svg" width="28" height="28" fill="currentColor" viewBox="0 0 256 256"><path d="M160,32V224a8,8,0,0,1-12.91,6.31L77.25,176H32a16,16,0,0,1-16-16V96A16,16,0,0,1,32,80H77.25l69.84-54.31A8,8,0,0,1,160,32Zm32,64a8,8,0,0,0-8,8v48a8,8,0,0,0,16,0V104A8,8,0,0,0,192,96Zm32-16a8,8,0,0,0-8,8v80a8,8,0,0,0,16,0V88A8,8,0,0,0,224,80Z"></path></svg>
                </button>
            </div>

            <div id="section-gift" class="section hidden">
                <div
                    class="frame d-flex justify-content-center align-items-center"
                >
                    <img
                        src="./assets/images/tm.webp"
                        class="frame-tm animate__animated animate__fadeInDown animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/tl.webp"
                        class="leaf-decor frame-tl animate__animated animate__fadeInTopLeft animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/tr.webp"
                        class="leaf-decor frame-tr animate__animated animate__fadeInTopRight animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/bl.webp"
                        class="leaf-decor frame-bl animate__animated animate__fadeInBottomLeft animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/br.webp"
                        class="leaf-decor frame-br animate__animated animate__fadeInBottomRight animate__slower"
                        alt="Leaf Decor"
                    />
                </div>
                <div
                    class="satuMomen d-flex-mempelai flex-column justify-content-center align-items-center"
                >
                    <div class="text-center mb-1">
                        <div
                            class="editable color-accent h4 mb-2 animate__animated animate__fadeInDown animate__slower font-photograph-signature"
                            style="font-size: 30px"
                        >
                            Love Gift
                        </div>
                    </div>

                    <div class="text-center mb-4">
                        <div
                            class="animate__animated animate__fadeInUp"
                            style="border-radius: 1rem"
                        >
                            <div
                                class="editable animate__animated animate__fadeInUp animate__slower"
                                style="font-size: 13.4px"
                            >
                                Doa restu anda merupakan karunia yang sangat
                                <br />
                                berarti bagi kami. Namun jika memberi adalah
                                ungkapan tanda kasih Anda, Anda dapat<br />
                                mengirimkan kado pernikahan digital melalui :
                            </div>
                        </div>
                    </div>
                    <div>
                        <div
                            draggable="false"
                            class="satuMomen rounded-pill animate__animated animate__fadeInUp animate__slow"
                            style="font-style: normal; text-decoration: none"
                        >
                            BANK MANDIRI<br />
                            No. Rekening 1440019728564<br />
                            a.n MELIA DIANA
                        </div>
                    </div>
                    <div>
                        <button
                            type="button"
                            class="btn btn-sm btn-primary ml-2 animate__animated animate__zoomIn animate__slow delay-5"
                            data-text="1440019728564"
                            onclick="copyText(event)"
                            onmousedown="preventTouchMove(event)"
                            ontouchend="handleTouchEnd(event)"
                            style="
                                font-family: sans-serif;
                                border-radius: 4px;
                                line-height: 1;
                                margin-top: 6px;
                                margin-bottom: 6px;
                            "
                        >
                            Salin
                        </button>
                    </div>
                </div>
                <div class="text-center">
                    <!-- <div
                        class="editable color-accent font-title-medium h4 animate__animated animate__fadeInDown animate__slower font-photograph-signature"
                    >
                        Love Gift
                    </div> -->
                    <div
                        class="watermark justify-content-center align-items-center"
                        style="height: 15%"
                    >
                        <div
                            class="mt-auto align-items-center"
                            style="width: 100%"
                        >
                            <!-- <video
                                src="./assets/images/OUR.mp4"
                                title="Video player"
                                frameborder="0"
                                allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                                allowfullscreen="allowfullscreen"
                                autoplay
                                controls
                                muted
                                style="
                                    width: 30%;
                                    height: 15%;
                                    margin-bottom: 1rem;
                                    border-radius: 1%;
                                "
                            ></video> -->

                            <div
                                class="text-center"
                                style="padding-left: 3rem; padding-right: 3rem"
                            >
                                <!-- <div
                                    class="satuMomen font-default editable quotes mb-3 font-italic"
                                >
                                    Doa restu anda merupakan karunia yang sangat
                                    berarti bagi kami. Namun jika memberi adalah
                                    ungkapan tanda kasih Anda, Anda dapat
                                    mengirimkan kado pernikahan digital melalui
                                    :

                                    <div class="text-left pl-2">
                                        <div
                                            class="editable account-number h5"
                                            style="
                                                display: inline;
                                                font-size: 14px;
                                            "
                                        >
                                            BANK MANDIRI<br />
                                            No. Rekening 1440019728564
                                        </div>

                                        <div
                                            class="editable"
                                            style="font-size: 13.4px"
                                        >
                                            a.n MELIA DIANA
                                        </div>
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-primary ml-2 mb-1 animate__animated animate__zoomIn animate__slow delay-5"
                                            data-text="1440019728564"
                                            onclick="copyText(event)"
                                            onmousedown="preventTouchMove(event)"
                                            ontouchend="handleTouchEnd(event)"
                                            style="
                                                font-family: sans-serif;
                                                border-radius: 4px;
                                                line-height: 1;
                                                margin-top: 1rem;
                                            "
                                        >
                                            Salin
                                        </button>
                                    </div>
                                </div> -->

                                <div
                                    class="text-center animate__animated animate__fadeInUp animate__slower"
                                >
                                    <div
                                        class="satuMomen editable quotes mb-3 font-italic"
                                        style="font-size: 13.4px"
                                    >
                                        Dan di antara tanda-tanda
                                        (kebesaran)-Nya ialah Dia menciptakan
                                        pasangan-pasangan untukmu dari jenismu
                                        sendiri,<br />
                                        agar kamu cenderung dan merasa tenteram
                                        kepadanya. Dan Dia menjadikan di
                                        antaramu rasa kasih dan sayang.<br />
                                        Sungguh, pada yang demikian itu
                                        benar-benar terdapat tanda-tanda
                                        (kebesaran Allah) bagi kaum yang
                                        berpikir.
                                    </div>
                                    <div
                                        class="satuMomen font-italic"
                                        style="font-size: 13.4px"
                                    >
                                        Surah Ar-Rum : 21
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Floating sound button -->
                <button
                    id="soundButton5"
                    class="soundButton btn-float"
                    style="
                        cursor: pointer;
                        position: fixed;
                        bottom: 8rem;
                        right: 20px;
                        width: 50px;
                        height: 50px;
                        border-radius: 50%;
                        color: white;
                        border: none;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        z-index: 9999;
                    "
                >
                <svg xmlns="http://www.w3.org/2000/svg" width="28" height="28" fill="currentColor" viewBox="0 0 256 256"><path d="M160,32V224a8,8,0,0,1-12.91,6.31L77.25,176H32a16,16,0,0,1-16-16V96A16,16,0,0,1,32,80H77.25l69.84-54.31A8,8,0,0,1,160,32Zm32,64a8,8,0,0,0-8,8v48a8,8,0,0,0,16,0V104A8,8,0,0,0,192,96Zm32-16a8,8,0,0,0-8,8v80a8,8,0,0,0,16,0V88A8,8,0,0,0,224,80Z"></path></svg>
                </button>
            </div>

            <div id="section-thanks" class="section hidden">
                <div
                    class="frame d-flex justify-content-center align-items-center"
                >
                    <img
                        src="./assets/images/tm.webp"
                        class="frame-tm animate__animated animate__fadeInDown animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/tl.webp"
                        class="leaf-decor frame-tl animate__animated animate__fadeInTopLeft animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/tr.webp"
                        class="leaf-decor frame-tr animate__animated animate__fadeInTopRight animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/bl.webp"
                        class="leaf-decor frame-bl animate__animated animate__fadeInBottomLeft animate__slower"
                        alt="Leaf Decor"
                    />
                    <img
                        src="./assets/images/br.webp"
                        class="leaf-decor frame-br animate__animated animate__fadeInBottomRight animate__slower"
                        alt="Leaf Decor"
                    />
                </div>
                <div
                    class="satuMomen d-flex-mempelai flex-column justify-content-center align-items-center"
                >
                    <div class="text-center mb-1">
                        <div
                            class="editable color-accent h4 mb-2 animate__animated animate__fadeInDown animate__slower font-photograph-signature"
                            style="font-size: 30px"
                        >
                            Thanks
                        </div>
                    </div>

                    <div class="text-center mb-4">
                        <div
                            class="animate__animated animate__fadeInUp"
                            style="border-radius: 1rem"
                        >
                            <div
                                class="editable animate__animated animate__fadeInUp animate__slower"
                                style="font-size: 13.4px"
                            >
                                Atas kehadiran dan do’a restu dari
                                Bapak/Ibu/Saudara/i sekalian, kami mengucapkan
                                Terima Kasih.
                            </div>
                        </div>
                    </div>
                </div>
                <div class="text-center">
                    <!-- <div
                        class="editable color-accent font-title-medium h4 animate__animated animate__fadeInDown animate__slower font-photograph-signature"
                    >
                        Love Gift
                    </div> -->
                    <div
                        class="watermark justify-content-center align-items-center"
                        style="height: 15%"
                    >
                        <div
                            class="mt-auto align-items-center"
                            style="width: 100%"
                        >
                            <!-- <video
                                src="./assets/images/OUR.mp4"
                                title="Video player"
                                frameborder="0"
                                allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                                allowfullscreen="allowfullscreen"
                                autoplay
                                controls
                                muted
                                style="
                                    width: 30%;
                                    height: 15%;
                                    margin-bottom: 1rem;
                                    border-radius: 1%;
                                "
                            ></video> -->

                            <div
                                class="text-center"
                                style="padding-left: 3rem; padding-right: 3rem"
                            >
                                <!-- <div
                                    class="satuMomen font-default editable quotes mb-3 font-italic"
                                >
                                    Doa restu anda merupakan karunia yang sangat
                                    berarti bagi kami. Namun jika memberi adalah
                                    ungkapan tanda kasih Anda, Anda dapat
                                    mengirimkan kado pernikahan digital melalui
                                    :

                                    <div class="text-left pl-2">
                                        <div
                                            class="editable account-number h5"
                                            style="
                                                display: inline;
                                                font-size: 14px;
                                            "
                                        >
                                            BANK MANDIRI<br />
                                            No. Rekening 1440019728564
                                        </div>

                                        <div
                                            class="editable"
                                            style="font-size: 13.4px"
                                        >
                                            a.n MELIA DIANA
                                        </div>
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-primary ml-2 mb-1 animate__animated animate__zoomIn animate__slow delay-5"
                                            data-text="1440019728564"
                                            onclick="copyText(event)"
                                            onmousedown="preventTouchMove(event)"
                                            ontouchend="handleTouchEnd(event)"
                                            style="
                                                font-family: sans-serif;
                                                border-radius: 4px;
                                                line-height: 1;
                                                margin-top: 1rem;
                                            "
                                        >
                                            Salin
                                        </button>
                                    </div>
                                </div> -->

                                <div
                                    class="text-center animate__animated animate__fadeInUp animate__slower"
                                >
                                <div
                                    class="satuMomen mb-2 text-center animate__animated animate__fadeInDown animate__slower font-italic"
                                    style="margin-top: 0; font-size: 13.4px"
                                >
                                    Wassalamu'alaikum Warahmatullahi Wabarakatuh
                                </div>
                                    <div
                                        class="satuMomen editable quotes mb-3 font-italic"
                                        style="font-size: 13.4px"
                                    >
                                        Dan orang-orang yang beriman, lelaki dan
                                        perempuan, sebahagian mereka (adalah)
                                        <br />
                                        menjadi pelindung (penolong) bagi
                                        sebahagian yang lain. Mereka menyuruh
                                        (mengerjakan) yang ma’ruf, mencegah dari
                                        yang munkar, mendirikan shalat, <br />
                                        menunaikan zakat, dan mereka taat kepada
                                        Allah dan Rasulnya.<br />
                                        Mereka itu akan diberi rahmat oleh Allah
                                        ; sesungguhnya Allah Maha Perkasa lagi
                                        Maha Bijaksana
                                    </div>
                                    <div
                                        class="satuMomen font-italic"
                                        style="font-size: 13.4px"
                                    >
                                        Surah At Taubah (9) : 71
                                    </div>
                                </div>
                                <div
                                    class="satuMomen text-center"
                                    style="width: 100%; margin-top: 20px"
                                >
                                    <div
                                        class="editable mb-2 font-italic animate__animated animate__fadeInDown animate__slow"
                                        style="font-size: 14px"
                                    >
                                        Hormat Kami Yang Mengundang
                                    </div>
                                    <div
                                        class="editable h4 color-accent animate__animated animate__fadeInDown animate__slow font-photograph-signature"
                                        style="font-size: 30px"
                                    >
                                        Melia Diana &amp; Ardian Fuadi
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Floating sound button -->
                <button
                    id="soundButton5"
                    class="soundButton btn-float"
                    style="
                        cursor: pointer;
                        position: fixed;
                        bottom: 8rem;
                        right: 20px;
                        width: 50px;
                        height: 50px;
                        border-radius: 50%;
                        color: white;
                        border: none;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        z-index: 9999;
                    "
                >
                <svg xmlns="http://www.w3.org/2000/svg" width="28" height="28" fill="currentColor" viewBox="0 0 256 256"><path d="M160,32V224a8,8,0,0,1-12.91,6.31L77.25,176H32a16,16,0,0,1-16-16V96A16,16,0,0,1,32,80H77.25l69.84-54.31A8,8,0,0,1,160,32Zm32,64a8,8,0,0,0-8,8v48a8,8,0,0,0,16,0V104A8,8,0,0,0,192,96Zm32-16a8,8,0,0,0-8,8v80a8,8,0,0,0,16,0V88A8,8,0,0,0,224,80Z"></path></svg>
                </button>
            </div>

            <div class="container-nav">
                <div
                    class="nav fixed-bottom d-flex justify-content-around align-items-center bg-light"
                >
                    <button
                        id="btn-opening"
                        class="satumoment_menu_item active"
                    >
                        <svg
                            width="24"
                            height="24"
                            fill="none"
                            xmlns="http://www.w3.org/2000/svg"
                        >
                            <path
                                d="M9.144 20.782v-3.067c0-.777.632-1.408 1.414-1.413h2.875c.786 0 1.423.633 1.423 1.413v3.058c0 .674.548 1.222 1.227 1.227h1.96a3.46 3.46 0 0 0 2.444-1 3.41 3.41 0 0 0 1.013-2.422V9.866c0-.735-.328-1.431-.895-1.902l-6.662-5.29a3.115 3.115 0 0 0-3.958.071L3.467 7.963A2.474 2.474 0 0 0 2.5 9.867v8.703C2.5 20.464 4.047 22 5.956 22h1.916c.327.002.641-.125.873-.354.232-.228.363-.54.363-.864h.036Z"
                                fill="currentColor"
                            ></path>
                        </svg>
                        <!-- <span>Opening</span> -->
                    </button>
                    <button id="btn-doa" class="satumoment_menu_item">
                        <svg
                            width="24"
                            height="24"
                            fill="none"
                            xmlns="http://www.w3.org/2000/svg"
                        >
                            <path
                                opacity=".4"
                                d="M11.776 21.837a36.258 36.258 0 0 1-6.328-4.957 12.668 12.668 0 0 1-3.03-4.805C1.278 8.535 2.603 4.49 6.3 3.288A6.282 6.282 0 0 1 12.007 4.3a6.291 6.291 0 0 1 5.706-1.012c3.697 1.201 5.03 5.247 3.893 8.787a12.67 12.67 0 0 1-3.013 4.805 36.58 36.58 0 0 1-6.328 4.957l-.25.163-.24-.163Z"
                                fill="currentColor"
                            ></path>
                            <path
                                d="m12.01 22-.234-.163a36.316 36.316 0 0 1-6.337-4.957 12.667 12.667 0 0 1-3.048-4.805c-1.13-3.54.195-7.586 3.892-8.787a6.296 6.296 0 0 1 5.728 1.023V22ZM18.23 10a.719.719 0 0 1-.517-.278.818.818 0 0 1-.167-.592c.022-.702-.378-1.341-.994-1.59-.391-.107-.628-.53-.53-.948.093-.41.477-.666.864-.573a.384.384 0 0 1 .138.052c1.236.476 2.036 1.755 1.973 3.155a.808.808 0 0 1-.23.56.708.708 0 0 1-.537.213Z"
                                fill="currentColor"
                            ></path>
                        </svg>
                        <!-- <span>Bride</span> -->
                    </button>
                    <button id="btn-details" class="satumoment_menu_item">
                        <svg
                            width="24"
                            height="24"
                            fill="none"
                            xmlns="http://www.w3.org/2000/svg"
                        >
                            <path
                                fill-rule="evenodd"
                                clip-rule="evenodd"
                                d="M3 16.87V9.257h18v7.674C21 20.07 19.024 22 15.863 22H8.127C4.996 22 3 20.03 3 16.87Zm4.96-2.46a.822.822 0 0 1-.85-.799c0-.46.355-.84.81-.861.444 0 .81.351.82.8a.822.822 0 0 1-.78.86Zm4.06 0a.822.822 0 0 1-.85-.799c0-.46.356-.84.81-.861.445 0 .81.351.82.8a.822.822 0 0 1-.78.86Zm4.03 3.68a.847.847 0 0 1-.82-.85.831.831 0 0 1 .81-.849h.01c.465 0 .84.38.84.849 0 .47-.375.85-.84.85Zm-4.88-.85c.02.46.395.821.85.8a.821.821 0 0 0 .78-.859.817.817 0 0 0-.82-.801.855.855 0 0 0-.81.86Zm-4.07 0c.02.46.395.821.85.8a.821.821 0 0 0 .78-.859.817.817 0 0 0-.82-.801.855.855 0 0 0-.81.86Zm8.14-3.639c0-.46.356-.83.81-.84.445 0 .8.359.82.8a.82.82 0 0 1-.79.849.814.814 0 0 1-.84-.799v-.01Z"
                                fill="currentColor"
                            ></path>
                            <path
                                opacity=".4"
                                d="M3.003 9.257c.013-.587.063-1.752.156-2.127.474-2.11 2.084-3.45 4.386-3.64h8.911c2.282.2 3.912 1.55 4.386 3.64.092.365.142 1.539.155 2.127H3.003Z"
                                fill="currentColor"
                            ></path>
                            <path
                                d="M8.305 6.59c.435 0 .76-.329.76-.77V2.771A.748.748 0 0 0 8.306 2c-.435 0-.76.33-.76.771V5.82c0 .441.325.77.76.77ZM15.695 6.59c.425 0 .76-.329.76-.77V2.771a.754.754 0 0 0-.76-.771c-.435 0-.76.33-.76.771V5.82c0 .441.325.77.76.77Z"
                                fill="currentColor"
                            ></path>
                        </svg>
                        <!-- <span>Details</span> -->
                    </button>
                    <!-- <button id="btn-gallery" class="satumoment_menu_item">
                        <svg
                            width="24"
                            height="24"
                            fill="none"
                            xmlns="http://www.w3.org/2000/svg"
                        >
                            <path
                                d="M22 14.702v1.384c0 .23-.01.461-.03.69-.28 3.16-2.475 5.224-5.641 5.224H7.67c-1.603 0-2.956-.52-3.928-1.464a4.593 4.593 0 0 1-.951-1.232c.33-.402.7-.842 1.062-1.283a98.56 98.56 0 0 0 1.573-1.925c.55-.682 2.004-2.476 4.018-1.634.41.17.771.41 1.102.621.812.542 1.152.702 1.723.391.632-.34 1.043-1.012 1.473-1.714.23-.372.461-.732.712-1.063 1.092-1.423 2.775-1.804 4.178-.962.702.42 1.303.952 1.864 1.493.12.12.24.231.35.341.15.15.652.652 1.153 1.133Z"
                                fill="currentColor"
                            ></path>
                            <path
                                opacity=".4"
                                d="M16.339 2H7.67C4.275 2 2 4.376 2 7.914v8.172c0 1.232.28 2.326.792 3.218.33-.402.701-.842 1.062-1.284a95.981 95.981 0 0 0 1.573-1.924c.551-.682 2.004-2.476 4.018-1.634.41.17.771.41 1.102.621.812.542 1.152.702 1.723.39.632-.34 1.043-1.011 1.473-1.714.23-.37.461-.73.712-1.062 1.092-1.423 2.775-1.804 4.178-.962.702.42 1.303.952 1.864 1.493.12.12.24.231.35.342.151.149.652.65 1.153 1.133V7.914C22 4.376 19.726 2 16.339 2Z"
                                fill="currentColor"
                            ></path>
                            <path
                                d="M11.454 8.797a2.604 2.604 0 0 1-2.58 2.581c-1.408 0-2.58-1.173-2.58-2.581s1.172-2.582 2.58-2.582c1.407 0 2.58 1.174 2.58 2.582Z"
                                fill="currentColor"
                            ></path>
                        </svg>
                        <span>Gallery</span>
                    </button> -->
                    <button id="btn-gift" class="satumoment_menu_item">
                        <svg
                            width="24"
                            height="24"
                            fill="none"
                            xmlns="http://www.w3.org/2000/svg"
                        >
                            <path
                                opacity=".4"
                                d="M16.191 2H7.81C4.77 2 3 3.78 3 6.83v10.33C3 20.26 4.77 22 7.81 22h8.381C19.28 22 21 20.26 21 17.16V6.83C21 3.78 19.28 2 16.191 2"
                                fill="currentColor"
                            ></path>
                            <path
                                fill-rule="evenodd"
                                clip-rule="evenodd"
                                d="M8.08 6.65v.01a.78.78 0 0 0 0 1.56h2.989c.431 0 .781-.35.781-.791a.781.781 0 0 0-.781-.779H8.08Zm7.84 6.09H8.08a.78.78 0 0 1 0-1.561h7.84a.781.781 0 0 1 0 1.561Zm0 4.57H8.08c-.3.04-.59-.11-.75-.36a.795.795 0 0 1 .75-1.21h7.84c.399.04.7.38.7.79 0 .399-.301.74-.7.78Z"
                                fill="currentColor"
                            ></path>
                        </svg>
                    </button>
                    <button id="btn-thanks" class="satumoment_menu_item">
                        <svg
                            width="24"
                            height="24"
                            fill="none"
                            xmlns="http://www.w3.org/2000/svg"
                        >
                            <path
                                opacity=".4"
                                d="M16.34 2H7.67C4.28 2 2 4.38 2 7.92v8.17C2 19.62 4.28 22 7.67 22h8.67c3.39 0 5.66-2.38 5.66-5.91V7.92C22 4.38 19.73 2 16.34 2Z"
                                fill="currentColor"
                            ></path>
                            <path
                                d="M10.813 15.248a.872.872 0 0 1-.619-.256l-2.373-2.373a.874.874 0 1 1 1.237-1.238l1.755 1.755 4.128-4.128a.874.874 0 1 1 1.237 1.238l-4.746 4.746a.872.872 0 0 1-.619.256Z"
                                fill="currentColor"
                            ></path>
                        </svg>
                        <!-- <span>Thanks</span> -->
                    </button>
                </div>
            </div>
        </div>
        <!-- Background music audio element -->
        <audio
            id="backgroundMusic"
            src="./assets/music/Rizky Febian Feat. Mahalini - Bermuara.mp3"
            loop
        ></audio>

        <script>
            // Fungsi untuk mendapatkan parameter URL
            function getQueryParameter(name) {
                const urlParams = new URLSearchParams(window.location.search);
                return urlParams.get(name);
            }

            // Fungsi untuk memperbarui nama tamu
            function updateGuestName() {
                const guestName = getQueryParameter("to");
                if (guestName) {
                    document.getElementById("guestNameSlot").textContent =
                        guestName;
                }
            }

            // Jalankan fungsi ketika halaman dimuat
            window.onload = updateGuestName;
        </script>

<script>
    function copyText(event) {
        event.stopPropagation(); // Mencegah klik dari bubbling up
        var button = event.target; // Mendapatkan tombol yang diklik
        var text = button.getAttribute("data-text");

        navigator.clipboard
            .writeText(text)
            .then(function () {
                button.textContent = "Rekening Tersimpan"; // Ubah teks tombol
                setTimeout(function () {
                    button.textContent = "Salin"; // Reset teks tombol setelah 2 detik
                }, 2000);
            })
            .catch(function (error) {
                console.error("Error copying text: ", error);
            });
    }

    function preventTouchMove(event) {
        event.preventDefault(); // Mencegah gerakan sentuh dari memicu perubahan bagian
    }

    function handleTouchEnd(event) {
        event.preventDefault(); // Mencegah perilaku default
        copyText(event); // Panggil fungsi copyText
    }

    document.addEventListener('DOMContentLoaded', function() {
        var buttons = document.querySelectorAll('.copy-button');
        
        buttons.forEach(function(button) {
            button.addEventListener('click', copyText);
            button.addEventListener('touchstart', copyText);
            button.addEventListener('touchend',copyText);
        });
    });
</script>



        <script>
            // Add event listener to the existing buttons
            document
                .getElementById("btn-opening")
                .addEventListener("click", function () {
                    showSection("section-opening");
                    setActiveButton(this);
                });
            document
                .getElementById("btn-doa")
                .addEventListener("click", function () {
                    showSection("section-doa");
                    setActiveButton(this);
                });
            document
                .getElementById("btn-details")
                .addEventListener("click", function () {
                    showSection("section-details");
                    setActiveButton(this);
                });
            document
                .getElementById("btn-gift")
                .addEventListener("click", function () {
                    showSection("section-gift");
                    setActiveButton(this);
                });

            document
                .getElementById("btn-thanks")
                .addEventListener("click", function () {
                    showSection("section-thanks");
                    setActiveButton(this);
                });

            // Add event listener to the new button
            document
                .getElementById("btn-open-invitation")
                .addEventListener("click", function () {
                    showSection("section-doa");
                    setActiveButton(document.getElementById("btn-doa"));
                });

            function showSection(sectionId) {
                var sections = document.querySelectorAll(".section");
                sections.forEach(function (section) {
                    section.classList.add("hidden");
                });
                document.getElementById(sectionId).classList.remove("hidden");
            }

            function setActiveButton(button) {
                var buttons = document.querySelectorAll(".nav button");
                buttons.forEach(function (btn) {
                    btn.classList.remove("active");
                });
                button.classList.add("active");
            }

            // Swipe functionality
            let startX = 0;
            let endX = 0;

            document.addEventListener("touchstart", function (event) {
                startX = event.touches[0].clientX;
            });

            document.addEventListener("touchmove", function (event) {
                endX = event.touches[0].clientX;
            });

            document.addEventListener("touchend", function () {
                if (startX > endX + 50) {
                    nextSection();
                } else if (startX < endX - 50) {
                    previousSection();
                }
            });

            function nextSection() {
                const activeButton =
                    document.querySelector(".nav button.active");
                const nextButton = activeButton.nextElementSibling;
                if (nextButton) {
                    nextButton.click();
                }
            }

            function previousSection() {
                const activeButton =
                    document.querySelector(".nav button.active");
                const prevButton = activeButton.previousElementSibling;
                if (prevButton) {
                    prevButton.click();
                }
            }
        </script>
        <!-- JavaScript to control the background music -->
        <script>
            // Function to toggle music play/pause
            function toggleMusic() {
                var audio = document.getElementById("backgroundMusic"); // Get the audio element
                var soundButtons = document.querySelectorAll(".soundButton"); // Get all buttons with class "soundButton"
            
                if (audio.paused) {
                    // If the audio is paused, play the audio and set icon to pause
                    audio.play();
                    soundButtons.forEach(function (button) {
                        button.innerHTML =
                            '<svg xmlns="http://www.w3.org/2000/svg" width="28" height="28" fill="currentColor" viewBox="0 0 256 256"><path d="M160,32V224a8,8,0,0,1-12.91,6.31L77.25,176H32a16,16,0,0,1-16-16V96A16,16,0,0,1,32,80H77.25l69.84-54.31A8,8,0,0,1,160,32Zm32,64a8,8,0,0,0-8,8v48a8,8,0,0,0,16,0V104A8,8,0,0,0,192,96Zm32-16a8,8,0,0,0-8,8v80a8,8,0,0,0,16,0V88A8,8,0,0,0,224,80Z"></path></svg>';
                    });
                } else {
                    // If the audio is playing, pause the audio and set icon to play
                    audio.pause();
                    soundButtons.forEach(function (button) {
                        button.innerHTML =
                            '<svg xmlns="http://www.w3.org/2000/svg" width="28" height="28" fill="currentColor" viewBox="0 0 256 256" class="play"><path d="M184,152V104a8,8,0,0,1,16,0v48a8,8,0,0,1-16,0Zm40-72a8,8,0,0,0-8,8v80a8,8,0,0,0,16,0V88A8,8,0,0,0,224,80ZM53.92,34.62A8,8,0,1,0,42.08,45.38L73.55,80H32A16,16,0,0,0,16,96v64a16,16,0,0,0,16,16H77.25l69.84,54.31A8,8,0,0,0,160,224V175.09l42.08,46.29a8,8,0,1,0,11.84-10.76Zm92.16,77.59A8,8,0,0,0,160,106.83V32a8,8,0,0,0-12.91-6.31l-39.85,31a8,8,0,0,0-1,11.7Z"></path></svg>';
                    });
                }
            }
        
            // Add event listeners to all buttons with class "soundButton"
            document.querySelectorAll(".soundButton").forEach(function (button) {
                button.addEventListener("click", toggleMusic); // Add click event listener
                button.addEventListener("touchend", function (event) {
                    event.preventDefault(); // Prevent triggering the click event on touch devices
                    toggleMusic();
                });
            });
        
            // Auto play music when the page loads
            document.addEventListener("DOMContentLoaded", function() {
                var audio = document.getElementById("backgroundMusic");
                audio.play().then(function() {
                    // Music is playing, update the button icon to pause
                    var soundButtons = document.querySelectorAll(".soundButton");
                    soundButtons.forEach(function(button) {
                        button.innerHTML =
                            '<svg xmlns="http://www.w3.org/2000/svg" width="28" height="28" fill="currentColor" viewBox="0 0 256 256"><path d="M160,32V224a8,8,0,0,1-12.91,6.31L77.25,176H32a16,16,0,0,1-16-16V96A16,16,0,0,1,32,80H77.25l69.84-54.31A8,8,0,0,1,160,32Zm32,64a8,8,0,0,0-8,8v48a8,8,0,0,0,16,0V104A8,8,0,0,0,192,96Zm32-16a8,8,0,0,0-8,8v80a8,8,0,0,0,16,0V88A8,8,0,0,0,224,80Z"></path></svg>';
                    });
                }).catch(function(error) {
                    console.log("Auto play failed: ", error);
                });
            });
        </script>
    </body>
</html>
